package com.dahe.pass.bean;

import com.contrarywind.interfaces.IPickerViewData;

import java.io.Serializable;

/**
 * @ClassName CompanyBean
 * @Author 用户
 * @Date 2022/1/15 9:05
 * @Description TODO
 */
public class CompanyBean implements Serializable , IPickerViewData {
    private String searchValue;
    private String createTime;
    private String deptName;
    private String phone;
    private String parentId;
    private String deptId;
    private String signName;
    private String sign;


    public String getSignName() {
        return signName;
    }

    public void setSignName(String signName) {
        this.signName = signName;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public CompanyBean(String signName) {
        this.signName = signName;
    }

    public CompanyBean(String signName, String sign) {
        this.signName = signName;
        this.sign = sign;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    @Override
    public String getPickerViewText() {
        return signName;
    }
}
